This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Extend Volume

1 - 1.3

put /v1/volumes/{volume_id}/size

Description

Increase the volume capacity.

  • Volume capacity can only be increased, reduction is not supported.

  • When increasing capacity, recovery is possible only by creating new volume from a previously taken snapshot (i.e., the snapshot can be used solely for the new‑volume creation method).

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeExtendRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/size

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Request body

{
    "size": 104
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2024-01-15T10:30:00.000Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "max_iops": 10000,
    "max_throughput": 500,
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2024-01-15T10:30:00.000Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

2 - 1.2

put /v1/volumes/{volume_id}/size

Description

Increase the volume capacity.

  • Volume capacity can only be increased, reduction is not supported.

  • When increasing capacity, recovery is possible only by creating new volume from a previously taken snapshot (i.e., the snapshot can be used solely for the new‑volume creation method).

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeExtendRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/size

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Request body

{
    "size": 104
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2024-01-15T10:30:00.000Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "max_iops": 10000,
    "max_throughput": 500,
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2024-01-15T10:30:00.000Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

3 - 1.1

put /v1/volumes/{volume_id}/size

Description

Increase the volume capacity.

  • Volume capacity can only be increased, reduction is not supported.

  • When increasing capacity, recovery is possible only by creating new volume from a previously taken snapshot (i.e., the snapshot can be used solely for the new‑volume creation method).

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeExtendRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/size

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "size": 104
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2024-01-15T10:30:00.000Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2024-01-15T10:30:00.000Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

4 - 1.0

put /v1/volumes/{volume_id}/size

Description

Increase the volume capacity.

  • Volume capacity can only be increased, reduction is not supported.

  • When increasing capacity, recovery is possible only by creating new volume from a previously taken snapshot (i.e., the snapshot can be used solely for the new‑volume creation method).

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeExtendRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/size

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "size": 104
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2024-01-15T10:30:00.000Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2024-01-15T10:30:00.000Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}